OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
VrmlConverter

# VrmlConverter_Projector Class Reference

defines projector and calculates properties of cameras and lights from Vrml
( OrthograpicCamera, PerspectiveCamera, DirectionalLight, PointLight, SpotLight
and MatrixTransform ) to display all scene shapes with arbitrary locations
for requested the Projection Vector, High Point Direction and the Focus
and adds them ( method Add ) to anOSream.

`#include <VrmlConverter_Projector.hxx>`

## Public Member Functions
Standard_EXPORT | VrmlConverter_Projector (const TopTools_Array1OfShape &Shapes, const Quantity_Length Focus, const Quantity_Length DX, const Quantity_Length DY, const Quantity_Length DZ, const Quantity_Length XUp, const Quantity_Length YUp, const Quantity_Length ZUp, const VrmlConverter_TypeOfCamera Camera=VrmlConverter_NoCamera, const VrmlConverter_TypeOfLight Light=VrmlConverter_NoLight)
Standard_EXPORT void | SetCamera (const VrmlConverter_TypeOfCamera aCamera)
Standard_EXPORT VrmlConverter_TypeOfCamera | Camera () const
Standard_EXPORT void | SetLight (const VrmlConverter_TypeOfLight aLight)
Standard_EXPORT VrmlConverter_TypeOfLight | Light () const
Standard_EXPORT void | Add (Standard_OStream &anOStream) const
| Adds into anOStream if they are defined in Create. PerspectiveCamera, OrthographicCamera, DirectionLight, PointLight, SpotLight with MatrixTransform from VrmlConverter; .
Standard_EXPORT HLRAlgo_Projector | Projector () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
HLRAlgo_Projector | myProjector
Vrml_PerspectiveCamera | myPerspectiveCamera
Vrml_OrthographicCamera | myOrthographicCamera
Vrml_DirectionalLight | myDirectionalLight
Vrml_PointLight | myPointLight
Vrml_SpotLight | mySpotLight
VrmlConverter_TypeOfCamera | myTypeOfCamera
VrmlConverter_TypeOfLight | myTypeOfLight
Vrml_MatrixTransform | myMatrixTransform

## Constructor & Destructor Documentation

Standard_EXPORT VrmlConverter_Projector::VrmlConverter_Projector | ( | const TopTools_Array1OfShape & | Shapes,
|  | const Quantity_Length | Focus,
|  | const Quantity_Length | DX,
|  | const Quantity_Length | DY,
|  | const Quantity_Length | DZ,
|  | const Quantity_Length | XUp,
|  | const Quantity_Length | YUp,
|  | const Quantity_Length | ZUp,
|  | const VrmlConverter_TypeOfCamera | Camera = `VrmlConverter_NoCamera`,
|  | const VrmlConverter_TypeOfLight | Light = `VrmlConverter_NoLight`
| ) |

## Member Function Documentation

Standard_EXPORT void VrmlConverter_Projector::Add | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT VrmlConverter_TypeOfCamera VrmlConverter_Projector::Camera | ( |  | ) | const

Standard_EXPORT const VrmlConverter_Projector::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT VrmlConverter_TypeOfLight VrmlConverter_Projector::Light | ( |  | ) | const

Standard_EXPORT HLRAlgo_Projector VrmlConverter_Projector::Projector | ( |  | ) | const

Standard_EXPORT void VrmlConverter_Projector::SetCamera | ( | const VrmlConverter_TypeOfCamera | aCamera | ) |

Standard_EXPORT void VrmlConverter_Projector::SetLight | ( | const VrmlConverter_TypeOfLight | aLight | ) |

## Field Documentation

Vrml_DirectionalLight VrmlConverter_Projector::myDirectionalLight`[private]`

Vrml_MatrixTransform VrmlConverter_Projector::myMatrixTransform`[private]`

Vrml_OrthographicCamera VrmlConverter_Projector::myOrthographicCamera`[private]`

Vrml_PerspectiveCamera VrmlConverter_Projector::myPerspectiveCamera`[private]`

Vrml_PointLight VrmlConverter_Projector::myPointLight`[private]`

HLRAlgo_Projector VrmlConverter_Projector::myProjector`[private]`

Vrml_SpotLight VrmlConverter_Projector::mySpotLight`[private]`

VrmlConverter_TypeOfCamera VrmlConverter_Projector::myTypeOfCamera`[private]`

VrmlConverter_TypeOfLight VrmlConverter_Projector::myTypeOfLight`[private]`

The documentation for this class was generated from the following file:

- VrmlConverter_Projector.hxx